> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/inquirypricemodifyeipflowpackage.md).

# InquiryPriceModifyEipFlowPackage

## 1. API Description

This API (InquiryPriceModifyEipFlowPackage) is used to inquire the price after adjusting the EIP traffic package

{% hint style="info" %}
**Notes**

* Only EIPs in an available state (`BINDED` or `UNBIND`) billed by traffic package (`ByTrafficPackage`) support this operation.
* PathBasedBandwidthIP line type does not support this operation.
* The size of the guaranteed traffic package is only valid for billing periods of one month.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                               |
| -------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------- |
| eipId          | Yes      | String | The elastic IP to operate on.                                                                                             |
| flowPackage    | Yes      | Float  | <p>Target traffic package size after adjustment.</p><p>Unit: TB, a multiple of 0.1 or 0.</p><p>Value range: \[0.0, +)</p> |

## 3. Output Parameters

| Parameter Name       | Type                                                                                                          | Description                                                                                                                                                                                            |
| -------------------- | ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| requestId            | String                                                                                                        | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                                                                  |
| eipPrice             | [PriceItem](/api-reference/compute/zec/datastructure.md#priceitem)                                            | <p>Retention price of the elastic IP.</p><p>Null for IPs created via CIDR.</p>                                                                                                                         |
| bandwidthPrice       | [PriceItem](/api-reference/compute/zec/datastructure.md#priceitem)                                            | <p>Bandwidth price for the elastic IP.</p><p>Null for the PathBasedBandwidthIP line type; see <code>bandwidthPrices</code> for details.</p>                                                            |
| bandwidthPrices      | Array of [BandwidthPriceResponseItem](/api-reference/compute/zec/datastructure.md#bandwidthpriceresponseitem) | <p>Bandwidth price details for each traffic direction.</p><p>Multiple items are returned for the PathBasedBandwidthIP line type; a single item (trafficType=ALL) is returned for other line types.</p> |
| remoteBandwidthPrice | [PriceItem](/api-reference/compute/zec/datastructure.md#priceitem)                                            | <p>Bandwidth price for Remote IPT.</p><p>Null when Remote IPT is not enabled for the EIP.</p>                                                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Inquires the price after adjusting the EIP traffic package to 10 TB.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceModifyEipFlowPackage
<Common Request Params>

Request:
{
  "eipId": "eip-xxx",
  "flowPackage": 10
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "eipPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.005,
      "discountUnitPrice": 0.005,
      "chargeUnit": "HOUR",
      "stepPrices": null
    },
    "bandwidthPrice": {
      "discount": 100.0,
      "discountPrice": null,
      "originalPrice": null,
      "unitPrice": 0.5,
      "discountUnitPrice": 0.5,
      "chargeUnit": "MONTH",
      "stepPrices": null
    },
    "bandwidthPrices": [
      {
        "trafficType": "ALL",
        "price": {
          "discount": 100.0,
          "discountPrice": null,
          "originalPrice": null,
          "unitPrice": 0.5,
          "discountUnitPrice": 0.5,
          "chargeUnit": "MONTH",
          "stepPrices": null
        }
      }
    ],
    "remoteBandwidthPrice": null
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                                         | Description                                                                                                    |
| ---------------- | ------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------- |
| 404              | INVALID\_EIP\_NOT\_FOUND                                           | Elastic IP does not exist.                                                                                     |
| 500              | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT                       | Operation is not supported for the elastic IP in current status.                                               |
| 400              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT            | IP network billing type is not supported.                                                                      |
| 400              | OPERATION\_DENIED\_FOR\_PATH\_BASED\_FLOW\_PACKAGE\_NOT\_SUPPORTED | Traffic package changes are not supported for PathBasedBandwidthIP.                                            |
| 400              | OPERATION\_DENIED\_FLOW\_PACKAGE\_NOT\_SUPPORTED\_HOUR\_PERIOD     | The current product cycle is based on hourly billing and does not support setting a minimum data package size. |
